#### D.5.17.15 totalSegreClass

Procedure from library `schubert.lib` (see schubert_lib).

Usage:
  totalSegreClass(S); S sheaf

Return:
  poly

Input:
  S is a sheaf

Theory:
  This is the total Segre class of a sheaf.
  SEE AlSO: totalChernClass

Example:

    LIB "schubert.lib";
    variety G = Grassmannian(2,4);
    def R = G.baseRing;
    setring R;
    sheaf S = makeSheaf(G,subBundle);
    totalSegreClass(S);
    ==> q(2)+q(1)+1

User manual for Singular version 4.4.1, 2025, generated by texi2html.